## massif-visualizer 0.3.90

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
PROJECT(massif-visualizer)

enable_testing()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH})

set(MASSIF_VISUALIZER_VERSION_MAJOR "0")
set(MASSIF_VISUALIZER_VERSION_MINOR "3")
set(MASSIF_VISUALIZER_VERSION_PATCH "90")
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(KDE_MIN_VERSION "4.7.0")
find_package(KDE4 4.7.0 REQUIRED)

include (KDE4Defaults)
include (MacroLibrary)

macro_optional_find_package(KGraphViewer 2.1)
macro_log_feature(KGRAPHVIEWER_FOUND "KGraphViewer" "KPart to view callgraph dot files."
                  "http://extragear.kde.org/apps/kgraphviewer/" FALSE ""
                  "Required for detailed snapshot analysis. From KDE SDK Extragear package, KGraphViewer 2.1 or higher is required.")

macro_display_feature_log()

include_directories(
    ${KDE4_INCLUDES}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/kdchart/include
    ${CMAKE_CURRENT_SOURCE_DIR}/kdchart/src
    ${CMAKE_CURRENT_BINARY_DIR}/kdchart/src/
)

add_definitions(-Wall)

add_subdirectory(kdchart)
add_subdirectory(massifdata)
add_subdirectory(visualizer)
add_subdirectory(app)
add_subdirectory(pics)

add_subdirectory(test)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== app/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

if(KGRAPHVIEWER_FOUND)
    include_directories(
        ${KGRAPHVIEWER_INCLUDE_DIRECTORIES}
    )
    add_definitions(-DHAVE_KGRAPHVIEWER)
endif(KGRAPHVIEWER_FOUND)

set(massif-visualizer_SRCS
    main.cpp
    mainwindow.cpp
    configdialog.cpp
    documentwidget.cpp
)

kde4_add_kcfg_files(massif-visualizer_SRCS massif-visualizer-settings.kcfgc)

kde4_add_ui_files(massif-visualizer_SRCS mainwindow.ui config.ui)

kde4_add_executable(massif-visualizer ${massif-visualizer_SRCS})

target_link_libraries(massif-visualizer LINK_PRIVATE
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KPARTS_LIBS}
    mv-kdchart
    mv-massifdata
    mv-visualizer
)

install( TARGETS massif-visualizer  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES massif-visualizerui.rc DESTINATION ${DATA_INSTALL_DIR}/massif-visualizer )

install(FILES massif-visualizer-settings.kcfg DESTINATION ${KCFG_INSTALL_DIR})

install(PROGRAMS massif-visualizer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

# XML mime type
set( SHARED_MIME_INFO_MINIMUM_VERSION "0.30" )
set( XDG_MIME_INSTALL_DIR "share/mime/packages" )
find_package( SharedMimeInfo )
if( SHARED_MIME_INFO_FOUND )
    install( FILES massif.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
    update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )
endif( SHARED_MIME_INFO_FOUND )

=== massifdata/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(massifdata_SRCS
    filedata.cpp
    snapshotitem.cpp
    treeleafitem.cpp
    parser.cpp
    parserprivate.cpp
    parseworker.cpp
    util.cpp
)

kde4_add_library(mv-massifdata STATIC ${massifdata_SRCS})

target_link_libraries(mv-massifdata LINK_PRIVATE
    ${QT_QTCORE_LIBRARY}
    # required for Qt::escape() in QTextDocument
    ${QT_QTGUI_LIBRARY}
)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(fi)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ca)
add_subdirectory(hu)
add_subdirectory(nb)
add_subdirectory(de)
add_subdirectory(pl)
add_subdirectory(sk)
add_subdirectory(uk)
add_subdirectory(da)
add_subdirectory(sv)
add_subdirectory(nl)
add_subdirectory(fr)

=== test/CMakeLists.txt ===
set(datamodeltest_SRCS
    datamodeltest.cpp
    modeltest.cpp
)
kde4_add_unit_test(datamodeltest ${datamodeltest_SRCS})
target_link_libraries(datamodeltest LINK_PRIVATE
    mv-massifdata
    mv-visualizer
    ${QT_QTTEST_LIBRARY}
)

kde4_add_executable(massifparser massifparser.cpp)

target_link_libraries(massifparser LINK_PRIVATE
    ${QT_QTCORE_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    mv-massifdata
)

=== visualizer/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(visualizer_SRCS
    totalcostmodel.cpp
    detailedcostmodel.cpp
    datatreemodel.cpp
    filtereddatatreemodel.cpp
    dotgraphgenerator.cpp
)

kde4_add_library(mv-visualizer STATIC ${visualizer_SRCS})

target_link_libraries(mv-visualizer LINK_PRIVATE
    mv-massifdata
    mv-kdchart
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDECORE_LIBS}
)

=== kdchart/src/CMakeLists.txt ===


## KDE4 includes needed for kdemacros.h
include_directories(
        ${KDE4_INCLUDES}
	${CMAKE_CURRENT_SOURCE_DIR}/../include
	${CMAKE_CURRENT_SOURCE_DIR}/../kdablibfakes/include
)

ADD_DEFINITIONS(-DKDCHART_BUILD_KDCHART_LIB)

########### next target ###############

set(kdchart_LIB_SRCS
    KDChartAbstractArea.cpp
    KDChartAbstractAreaBase.cpp
    KDChartAbstractAreaWidget.cpp
    KDChartAbstractAxis.cpp
    KDChartAbstractCartesianDiagram.cpp
    KDChartAbstractCoordinatePlane.cpp
    KDChartAbstractDiagram.cpp
    KDChartAbstractGrid.cpp
    KDChartAbstractPieDiagram.cpp
    KDChartAbstractPolarDiagram.cpp
    KDChartAbstractProxyModel.cpp
    KDChartAbstractThreeDAttributes.cpp
    KDChartAttributesModel.cpp
    KDChartBackgroundAttributes.cpp
    KDChartBarAttributes.cpp
    KDChartBarDiagram.cpp
    KDChartBarDiagram_p.cpp
    KDChartCartesianAxis.cpp
    KDChartCartesianCoordinatePlane.cpp
    KDChartCartesianDiagramDataCompressor_p.cpp
    KDChartCartesianGrid.cpp
    KDChartChart.cpp
    KDChartDatasetProxyModel.cpp
    KDChartDatasetSelector.cpp
    KDChartDataValueAttributes.cpp
    KDChartDiagramObserver.cpp
    KDChartFrameAttributes.cpp
    KDChartGridAttributes.cpp
    KDChartHeaderFooter.cpp
    KDChartLayoutItems.cpp
    KDChartLegend.cpp
    KDChartLineAttributes.cpp
    KDChartLineDiagram.cpp
    KDChartLineDiagram_p.cpp
    KDChartMarkerAttributes.cpp
    KDChartMeasure.cpp
    KDChartModelDataCache_p.cpp
    KDChartNormalBarDiagram_p.cpp
    KDChartNormalLineDiagram_p.cpp
    KDChartNormalLyingBarDiagram_p.cpp
    KDChartNormalPlotter_p.cpp
    KDChartPaintContext.cpp
    KDChartPalette.cpp
    KDChartPercentBarDiagram_p.cpp
    KDChartPercentLineDiagram_p.cpp
    KDChartPercentLyingBarDiagram_p.cpp
    KDChartPercentPlotter_p.cpp
    KDChartPieAttributes.cpp
    KDChartPieDiagram.cpp
    KDChartPlotter.cpp
    KDChartPlotter_p.cpp
    KDChartPolarCoordinatePlane.cpp
    KDChartPolarDiagram.cpp
    KDChartPolarGrid.cpp
    KDChartPosition.cpp
    KDChartPrintingParameters.cpp
    KDChartRelativePosition.cpp
    KDChartRingDiagram.cpp
    KDChartRulerAttributes.cpp
    KDChartSignalCompressor.cpp
    KDChartStackedBarDiagram_p.cpp
    KDChartStackedLineDiagram_p.cpp
    KDChartStackedLyingBarDiagram_p.cpp
    KDChartStackedPlotter_p.cpp
    KDChartStockBarAttributes.cpp
    KDChartStockDiagram.cpp
    KDChartStockDiagram_p.cpp
    KDChartTextArea.cpp
    KDChartTextAttributes.cpp
    KDChartThreeDBarAttributes.cpp
    KDChartThreeDLineAttributes.cpp
    KDChartThreeDPieAttributes.cpp
    KDChartValueTrackerAttributes.cpp
    KDChartWidget.cpp
    KDTextDocument.cpp
    LeveyJennings/KDChartLeveyJenningsAxis.cpp
    LeveyJennings/KDChartLeveyJenningsCoordinatePlane.cpp
    LeveyJennings/KDChartLeveyJenningsDiagram.cpp
    LeveyJennings/KDChartLeveyJenningsDiagram_p.cpp
    LeveyJennings/KDChartLeveyJenningsGrid.cpp
    LeveyJennings/KDChartLeveyJenningsGridAttributes.cpp
    PrerenderedElements/KDChartTextLabelCache.cpp
    Scenery/ChartGraphicsItem.cpp
    Scenery/ReverseMapper.cpp
    Ternary/KDChartAbstractTernaryDiagram.cpp
    Ternary/KDChartTernaryAxis.cpp
    Ternary/KDChartTernaryCoordinatePlane.cpp
    Ternary/KDChartTernaryGrid.cpp
    Ternary/KDChartTernaryLineDiagram.cpp
    Ternary/KDChartTernaryPointDiagram.cpp
    Ternary/TernaryConstants.cpp
    Ternary/TernaryPoint.cpp
)

qt4_wrap_ui(kdchart_LIB_SRCS
    KDChartDatasetSelector.ui
)

qt_wrap_cpp(mv-kdchart kdchart_LIB_SRCS KDChartEnums.h)

kde4_add_library(mv-kdchart STATIC ${kdchart_LIB_SRCS})

target_link_libraries(mv-kdchart LINK_PRIVATE
${QT_QTSVG_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${ZLIB_LIBRARY} )

=== pics/hicolor/CMakeLists.txt ===
kde4_install_icons( ${DATA_INSTALL_DIR}/massif-visualizer/icons  )

## massif-visualizer 0.3

=== debian/changelog ===
massif-visualizer (0.3-0ubuntu2) quantal; urgency=low

  * Add debian/patches/fix_double_qreal_mismatch to fix FTBFS on armhf and
    armel

 -- Scott Kitterman <scott@kitterman.com>  Sun, 14 Oct 2012 02:11:21 -0400

massif-visualizer (0.3-0ubuntu1) precise; urgency=low

  * Initial release (LP: #893569)

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Thu, 08 Dec 2011 18:07:17 +0100

=== debian/control ===
Source: massif-visualizer
Section: devel
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurélien Gâteau <aurelien.gateau@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, kgraphviewer (>= 2.1), kdelibs5-dev, pkg-kde-tools, python-docutils
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/sdk/massif-visualizer

Package: massif-visualizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: valgrind, kgraphviewer
Description: Tool for visualizing memory usage recorded by Valgrind Massif
 Massif Visualizer is a graphical interface to visualize memory usage recorded
 by Valgrind Massif tool.
 .
 Run your application in Valgrind with --tool=massif and then open the
 generated massif.out.%pid in the visualizer. Gzip or Bzip2 compressed Massif
 files can also be opened transparently.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- -DKDE4_BUILD_TESTS=ON

override_dh_auto_build:
	dh_auto_build
	rst2man debian/massif-visualizer.rst massif-visualizer.1
	gzip -9 -c CHANGELOG.0.3 > changelog.gz

override_dh_auto_clean:
	dh_auto_clean
	rm -f massif-visualizer.1
	rm -f changelog.gz

%:
	dh $@ --with kde --parallel

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/massif-visualizer/([\d\.]+)/src/massif-visualizer-([\d\.]+).tar.bz2

## massif-visualizer 0.3.90

=== debian/changelog ===
massif-visualizer (0.3.90-0ubuntu3) utopic; urgency=medium

  * Update patch kubuntu_qreal.diff to fix build failure on armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Jun 2014 17:13:22 +0200

massif-visualizer (0.3.90-0ubuntu2) utopic; urgency=medium

  * Add patch kubuntu_qreal.diff to fix build failure on armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Jun 2014 16:52:06 +0200

massif-visualizer (0.3.90-0ubuntu1) utopic; urgency=medium

  * New Release LP: #1244261

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 26 Jun 2014 13:38:50 -0700

=== debian/control ===
Source: massif-visualizer
Section: devel
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurélien Gâteau <aurelien.gateau@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               kgraphviewer-dev (>= 2.1.90),
               openbox,
               pkg-kde-tools,
               python-docutils,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/extragear/sdk/massif-visualizer

Package: massif-visualizer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kgraphviewer, valgrind
Description: Tool for visualizing memory usage recorded by Valgrind Massif
 Massif Visualizer is a graphical interface to visualize memory usage recorded
 by Valgrind Massif tool.
 .
 Run your application in Valgrind with --tool=massif and then open the
 generated massif.out.%pid in the visualizer. Gzip or Bzip2 compressed Massif
 files can also be opened transparently.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_test:
	dh_installwm openbox\
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/massif-visualizer/([\d\.]+)/src/massif-visualizer-([\d\.]+).tar.xz

## massif-visualizer 0.6~git20161031

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
project(massif-visualizer)

set(QT_MIN_VERSION "5.2.0")

find_package(ECM 0.0.9 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${ECM_KDE_MODULE_DIR}
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMAddTests)
include(FeatureSummary)

enable_testing()

message("TODO: reenable KGraphViewer support")
#find_package(KGraphViewer 2.1)
#macro_log_feature(KGRAPHVIEWER_FOUND "KGraphViewer" "KPart to view callgraph dot files."
#                  "http://extragear.kde.org/apps/kgraphviewer/" FALSE ""
#                  "Required for detailed snapshot analysis. From KDE SDK Extragear package, KGraphViewer 2.1 or higher is required.")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Widgets
    Svg
    XmlPatterns
    Test
    PrintSupport
)

find_package(KF5 REQUIRED COMPONENTS
    Archive
    Config
    CoreAddons
    Parts
    KIO
    I18n
)

find_package(KChart "2.6.0" REQUIRED)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions(-Wall
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
)

add_subdirectory(massifdata)
add_subdirectory(visualizer)
add_subdirectory(app)
add_subdirectory(pics)

add_subdirectory(test)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(massif-visualizer_SRCS
    main.cpp
    mainwindow.cpp
    configdialog.cpp
    documentwidget.cpp
    documenttabinterface.cpp
    charttab.cpp
    allocatorstab.cpp
)

if(KGRAPHVIEWER_FOUND)
    include_directories(
        ${KGRAPHVIEWER_INCLUDE_DIRECTORIES}
    )
    add_definitions(-DHAVE_KGRAPHVIEWER)
    list(APPEND massif-visualizer_SRCS callgraphtab.cpp)
endif(KGRAPHVIEWER_FOUND)

kconfig_add_kcfg_files(massif-visualizer_SRCS massif-visualizer-settings.kcfgc)

ki18n_wrap_ui(massif-visualizer_SRCS mainwindow.ui config.ui)

add_executable(massif-visualizer ${massif-visualizer_SRCS})

target_link_libraries(massif-visualizer LINK_PRIVATE
    Qt5::PrintSupport
    Qt5::Svg
    KF5::KIOCore
    KF5::Parts
    KF5::I18n
    KChart
    mv-massifdata
    mv-visualizer
)

install( TARGETS massif-visualizer  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(
    FILES massif-visualizerui.rc documentwidgetui.rc charttabui.rc callgraphtabui.rc
    DESTINATION ${KXMLGUI_INSTALL_DIR}/massif-visualizer
)

install(FILES massif-visualizer-settings.kcfg DESTINATION ${KCFG_INSTALL_DIR})

install(PROGRAMS org.kde.massif-visualizer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.massif-visualizer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# XML mime type
set( SHARED_MIME_INFO_MINIMUM_VERSION "0.30" )
set( XDG_MIME_INSTALL_DIR "share/mime/packages" )
find_package( SharedMimeInfo )
if( SHARED_MIME_INFO_FOUND )
    install( FILES massif.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
    update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )
endif( SHARED_MIME_INFO_FOUND )

=== pics/hicolor/CMakeLists.txt ===
ecm_install_icons(ICONS
    22-actions-shortentemplates.png
    DESTINATION ${DATA_INSTALL_DIR}/massif-visualizer/icons
    THEME hicolor
)

=== debian/changelog ===
massif-visualizer (0.6~git20161031-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #602690)
  * Initial packaging based on 0.3.90-0ubuntu3 available from Ubuntu.
  * New upstream snapshot.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Dec 2016 21:41:56 +0100

=== debian/control ===
Source: massif-visualizer
Section: devel
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 10),
 extra-cmake-modules,
 libkchart-dev,
 libkf5archive-dev,
 libkf5config-dev,
 libkf5coreaddons-dev,
 libkf5kio-dev,
 libkf5parts-dev,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 libkf5i18n-dev,
 pkg-kde-tools,
 python-docutils,
 qtbase5-dev (>= 5.2),
 xauth,
 xvfb
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/massif-visualizer.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/massif-visualizer.git
Homepage: https://projects.kde.org/projects/extragear/sdk/massif-visualizer

Package: massif-visualizer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 valgrind
Description: Tool for visualizing memory usage recorded by Valgrind Massif
 Massif Visualizer is a graphical interface to visualize memory usage recorded
 by Valgrind Massif tool.
 .
 Run your application in Valgrind with --tool=massif and then open the
 generated massif.out.%pid in the visualizer. Gzip or Bzip2 compressed Massif
 files can also be opened transparently.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --buildsystem=kde

override_dh_auto_build:
	dh_auto_build
	rst2man README > massif-visualizer.1

override_dh_auto_test:
	xvfb-run -a dh_auto_test

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p' | sed -ne 's/^\([^+]*\)~git.*/\1/p')
COMMIT=8422f3263e07a40461ed6daf96e33c1c56fd6308
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://anongit.kde.org/massif-visualizer.git \
			"$$TMPD/massif-visualizer" && \
		git --git-dir="$$TMPD/massif-visualizer/.git" archive \
			--prefix=massif-visualizer/ $(COMMIT) | \
			xz > $$TMPD/massif-visualizer.tar.xz && \
		CDATE=`git --git-dir="$$TMPD/massif-visualizer/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		mv $$TMPD/massif-visualizer.tar.xz \
			massif-visualizer_$(DEB_UPSTREAM_VER)~git$$CDATE.orig.tar.xz && \
		rm -rf $$TMPD

=== debian/watch ===
version=3
http://download.kde.org/stable/massif-visualizer/([\d\.]+)/src/massif-visualizer-([\d\.]+).tar.xz

## massif-visualizer 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,12 +22,6 @@
 
 enable_testing()
 
-message("TODO: reenable KGraphViewer support")
-#find_package(KGraphViewer 2.1)
-#macro_log_feature(KGRAPHVIEWER_FOUND "KGraphViewer" "KPart to view callgraph dot files."
-#                  "http://extragear.kde.org/apps/kgraphviewer/" FALSE ""
-#                  "Required for detailed snapshot analysis. From KDE SDK Extragear package, KGraphViewer 2.1 or higher is required.")
-
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
     Core
     Widgets
@@ -47,6 +41,13 @@
 )
 
 find_package(KChart "2.6.0" REQUIRED)
+
+find_package(KGraphViewerPart 2.3.90)
+set_package_properties(KGraphViewerPart PROPERTIES
+    DESCRIPTION "KPart to view callgraph dot files"
+    PURPOSE "Required for detailed snapshot analysis"
+    URL "https://www.kde.org/applications/graphics/kgraphviewer/"
+    TYPE RECOMMENDED)
 
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}
@@ -68,3 +69,6 @@
 add_subdirectory(test)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+find_package(KF5I18n CONFIG REQUIRED)
+ki18n_install(po)

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -13,13 +13,13 @@
     allocatorstab.cpp
 )
 
-if(KGRAPHVIEWER_FOUND)
+if(KGraphViewerPart_FOUND)
     include_directories(
-        ${KGRAPHVIEWER_INCLUDE_DIRECTORIES}
+        ${KGraphViewerPart_INCLUDE_DIRS}
     )
     add_definitions(-DHAVE_KGRAPHVIEWER)
     list(APPEND massif-visualizer_SRCS callgraphtab.cpp)
-endif(KGRAPHVIEWER_FOUND)
+endif()
 
 kconfig_add_kcfg_files(massif-visualizer_SRCS massif-visualizer-settings.kcfgc)
 
@@ -38,7 +38,7 @@
     mv-visualizer
 )
 
-install( TARGETS massif-visualizer  ${INSTALL_TARGETS_DEFAULT_ARGS} )
+install( TARGETS massif-visualizer  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
 
 install(
     FILES massif-visualizerui.rc documentwidgetui.rc charttabui.rc callgraphtabui.rc
@@ -54,7 +54,7 @@
 set( SHARED_MIME_INFO_MINIMUM_VERSION "0.30" )
 set( XDG_MIME_INSTALL_DIR "share/mime/packages" )
 find_package( SharedMimeInfo )
-if( SHARED_MIME_INFO_FOUND )
+if(SHAREDMIMEINFO_FOUND)
     install( FILES massif.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
     update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )
-endif( SHARED_MIME_INFO_FOUND )
+endif()

=== massifdata/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(massifdata_SRCS
    filedata.cpp
    snapshotitem.cpp
    treeleafitem.cpp
    parser.cpp
    parserprivate.cpp
    parseworker.cpp
    util.cpp
)

add_library(mv-massifdata STATIC ${massifdata_SRCS})

target_link_libraries(mv-massifdata
LINK_PRIVATE
    Qt5::Core
    KF5::Archive
    KF5::KIOCore
    KF5::I18n
)

=== test/CMakeLists.txt ===
ecm_add_test(datamodeltest datamodeltest.cpp modeltest.cpp
    TEST_NAME "datamodeltest"
    LINK_LIBRARIES mv-massifdata mv-visualizer Qt5::Core Qt5::Test KF5::KIOCore
)

add_executable(massifparser massifparser.cpp)

target_link_libraries(massifparser LINK_PRIVATE
    Qt5::Core
    KF5::Archive
    KF5::CoreAddons
    mv-massifdata
)

=== visualizer/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(visualizer_SRCS
    totalcostmodel.cpp
    detailedcostmodel.cpp
    datatreemodel.cpp
    filtereddatatreemodel.cpp
    dotgraphgenerator.cpp
    allocatorsmodel.cpp
)

add_library(mv-visualizer STATIC ${visualizer_SRCS})

target_link_libraries(mv-visualizer
LINK_PRIVATE
    mv-massifdata
    KChart
    Qt5::Core
    Qt5::Gui
    KF5::KIOCore
    KF5::I18n
)

=== pics/hicolor/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,9 @@
     DESTINATION ${DATA_INSTALL_DIR}/massif-visualizer/icons
     THEME hicolor
 )
+
+ecm_install_icons(ICONS
+    sc-apps-massif-visualizer.svg
+    DESTINATION ${KDE_INSTALL_ICONDIR}
+    THEME hicolor
+)

=== debian/changelog ===
massif-visualizer (0.7.0-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:59:49 +1100

massif-visualizer (0.7.0-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:53:49 +0000

massif-visualizer (0.7.0-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 22:21:17 +0000

massif-visualizer (0.7.0-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on qtbase5-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 11:21:58 +0100

massif-visualizer (0.7.0-2) unstable; urgency=medium

  * QA upload.
  * debian/rules: Disable fixfilepath feature, as it triggers build
    failures when enabled. (Closes: #972299)
  * debian/control: Update Vcs headers.
  * Update to debhelper-compat 13.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update to Standards-Version 4.5.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Tue, 22 Dec 2020 19:13:06 -0800

massif-visualizer (0.7.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Remove the get-orig-source target in rules, and all the associated
    variables: they are obsolete now, as we track a proper release.
  * Switch the dh usage from the kde buildsystem only to use the kf5 addon,
    which will bring more Frameworks-related stuff.
  * Switch the python-docutils build dependency to python3-docutils, to use
    the Python 3 version of rst2man if available.
  * Set maintainer to Debian QA Group. (See #873645)
  * Use https for the Format in copyright.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Jan 2018 08:19:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: massif-visualizer
 Section: devel
 Priority: optional
-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  libkchart-dev,
  libkf5archive-dev,
@@ -16,13 +17,14 @@
  libqt5xmlpatterns5-dev,
  libkf5i18n-dev,
  pkg-kde-tools,
- python-docutils,
- qtbase5-dev (>= 5.2),
+ python3-docutils,
+ qtbase5-dev,
  xauth,
  xvfb
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/massif-visualizer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/massif-visualizer.git
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/massif-visualizer
+Vcs-Git: https://salsa.debian.org/debian/massif-visualizer.git
 Homepage: https://projects.kde.org/projects/extragear/sdk/massif-visualizer
 
 Package: massif-visualizer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath feature, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS=reproducible=-fixfilepath

%:
	dh $@ --with=kf5

override_dh_auto_build:
	dh_auto_build
	rst2man README > massif-visualizer.1

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## massif-visualizer 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(massif-visualizer VERSION "0.8.0")

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMDeprecationSettings)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Core5Compat
    Widgets
    Svg
    Test
    PrintSupport
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    CoreAddons
    Parts
    KIO
    I18n
)

find_package(KChart6 "3.0.0" REQUIRED)

find_package(KGraphViewerPart 2.5.0)
set_package_properties(KGraphViewerPart PROPERTIES
    DESCRIPTION "KPart to view callgraph dot files"
    PURPOSE "Required for detailed snapshot analysis"
    URL "https://commits.kde.org/kgraphviewer"
    TYPE RECOMMENDED)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

# added by KDE_COMPILERSETTINGS_LEVEL >= 5.85.0
remove_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_FOREACH
)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.0
)

add_subdirectory(massifdata)
add_subdirectory(visualizer)
add_subdirectory(app)
add_subdirectory(pics)

if (BUILD_TESTING)
    add_subdirectory(test)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
massif-visualizer (0.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (0.8.0).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Mark xauth and xvfb build dependencies as test-only.
  * Bump Standards-Version to 4.7.0, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 06 Jan 2025 01:14:34 +0100

=== debian/control ===
Source: massif-visualizer
Section: devel
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libkchart-dev (>= 3.0.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               pkg-kde-tools,
               python3-docutils,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/massif-visualizer
Vcs-Git: https://salsa.debian.org/debian/massif-visualizer.git
Homepage: https://invent.kde.org/sdk/massif-visualizer

Package: massif-visualizer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: valgrind,
Description: Tool for visualizing memory usage recorded by Valgrind Massif
 Massif Visualizer is a graphical interface to visualize memory usage recorded
 by Valgrind Massif tool.
 .
 Run your application in Valgrind with --tool=massif and then open the
 generated massif.out.%pid in the visualizer. Gzip or Bzip2 compressed Massif
 files can also be opened transparently.

## massif-visualizer 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,16 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(massif-visualizer VERSION "0.8.0")
+# Release Service version, managed by release script
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
+
+# Bump MASSIF_VISUALIZER_BASE_VERSION once new features are added
+set(MASSIF_VISUALIZER_BASE_VERSION "0.8")
+set(MASSIF_VISUALIZER_VERSION "${MASSIF_VISUALIZER_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")
+
+project(massif-visualizer VERSION ${MASSIF_VISUALIZER_VERSION})
 
 set(QT_MIN_VERSION "6.5.0")
 set(KF_MIN_VERSION "6.0.0")

=== debian/changelog ===
massif-visualizer (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop kgraphviewer (build-)dependencies, not available in trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 03 May 2025 19:37:29 +0200

massif-visualizer (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Recommend kgraphvisualizer for the kpart until we split it into its
    own package.
  * New upstream release (25.04.0).
  * Switch to declarative KF6 debhelper build sequence.
  * Update Vcs-* fields to the new location in the team’s Salsa group.
  * Update project homepage.
  * Build with hardening=+all build flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Apr 2025 14:20:39 +0200

massif-visualizer (25.03.90-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Switch maintainer to the main Qt/KDE Team now that the package is
    part of Gear.
  * Add kgraphviewer-dev build dependency for dot graphs visualization.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 21:49:05 +0200

massif-visualizer (25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Adapt watch file to massif-visualizer now being part of KDE Gear
    releases.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 08:48:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: massif-visualizer
 Section: devel
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libkchart-dev (>= 3.0.0~),
@@ -20,11 +21,11 @@
                qt6-svg-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/debian/massif-visualizer
-Vcs-Git: https://salsa.debian.org/debian/massif-visualizer.git
-Homepage: https://invent.kde.org/sdk/massif-visualizer
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/massif-visualizer
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/massif-visualizer.git
+Homepage: https://apps.kde.org/massif_visualizer/
 
 Package: massif-visualizer
 Architecture: any

## massif-visualizer 25.04.2

=== debian/changelog ===
massif-visualizer (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:01:36 +0100

massif-visualizer (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:22 +0100

## massif-visualizer 25.04.3

=== debian/changelog ===
massif-visualizer (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:56:24 +0100

## massif-visualizer 25.07.80

=== debian/changelog ===
massif-visualizer (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:26:38 +0100

## massif-visualizer 25.07.90

=== debian/changelog ===
massif-visualizer (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:01:21 +0100

## massif-visualizer 25.08.0

=== debian/changelog ===
massif-visualizer (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:34:49 +0100

## massif-visualizer 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MASSIF_VISUALIZER_BASE_VERSION once new features are added

=== debian/changelog ===
massif-visualizer (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:21 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath feature, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS=reproducible=-fixfilepath hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -Skf6
	rst2man README > massif-visualizer.1

override_dh_auto_test:
	xvfb-run -a dh_auto_test -Skf6

## massif-visualizer 25.08.1+p24.04+vstable+git20250917.0023

=== debian/changelog ===
massif-visualizer (25.08.1+p24.04+vstable+git20250917.0023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 00:23:52 +0000

massif-visualizer (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:09:16 +0000

massif-visualizer (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:41:24 +0000

massif-visualizer (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:26:21 +0000

massif-visualizer (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:39:06 +0000

massif-visualizer (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:30:56 +0000

massif-visualizer (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:23:59 +0000

massif-visualizer (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:39:32 +0000

massif-visualizer (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:48:19 +0000

massif-visualizer (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:39:27 +0000

massif-visualizer (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:36:54 +0000

massif-visualizer (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:36:21 +0000

massif-visualizer (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:08:55 +0000

massif-visualizer (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:46:43 +0000

massif-visualizer (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2024 06:28:07 +0000

## massif-visualizer 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MASSIF_VISUALIZER_BASE_VERSION once new features are added

=== debian/changelog ===
massif-visualizer (25.08.2-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:22:14 +0000

massif-visualizer (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:51:26 +0000

## massif-visualizer 25.08.2+p24.04+vstable+git20251015.1445

=== debian/changelog ===
massif-visualizer (25.08.2+p24.04+vstable+git20251015.1445-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:45:59 +0000

=== debian/control ===
Source: massif-visualizer
Section: devel
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               libkchart6-dev,
               pkg-kde-tools-neon,
               python3-docutils,
               qt6-base-dev,
               qt6-svg-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/sdk/massif-visualizer
Vcs-Git: https://invent.kde.org/neon/forks/massif-visualizer.git
Vcs-Browser: https://invent.kde.org/neon/forks/massif-visualizer
Maintainer: Neon CI <neon@kde.org>

Package: massif-visualizer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: valgrind
Description: Tool for visualizing memory usage recorded by Valgrind Massif
 Massif Visualizer is a graphical interface to visualize memory usage recorded
 by Valgrind Massif tool.
 .
 Run your application in Valgrind with --tool=massif and then open the
 generated massif.out.%pid in the visualizer. Gzip or Bzip2 compressed Massif
 files can also be opened transparently.

## massif-visualizer 25.08.2+p24.04+vstable+git20251019.0556

=== debian/changelog ===
massif-visualizer (25.08.2+p24.04+vstable+git20251019.0556-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:56:26 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath feature, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS=reproducible=-fixfilepath
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --with=kf6 --buildsystem=kf6

override_dh_auto_build:
	dh_auto_build
	rst2man README > massif-visualizer.1

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## massif-visualizer 25.08.2+p24.04+vstable+git20251031.0959

=== debian/changelog ===
massif-visualizer (25.08.2+p24.04+vstable+git20251031.0959-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:59:12 +0000

## massif-visualizer 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MASSIF_VISUALIZER_BASE_VERSION once new features are added

=== pics/hicolor/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ecm_install_icons(ICONS
     22-actions-shortentemplates.png
-    DESTINATION ${DATA_INSTALL_DIR}/massif-visualizer/icons
+    DESTINATION ${KDE_INSTALL_DATADIR}/massif-visualizer/icons
     THEME hicolor
 )

=== debian/changelog ===
massif-visualizer (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:20:19 +0000

massif-visualizer (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:36 +0100

=== debian/control ===
Source: massif-visualizer
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               libkchart-dev (>= 3.0.0~),
               libkf6archive-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               pkg-kde-tools,
               python3-docutils,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/massif-visualizer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/massif-visualizer
Homepage: https://apps.kde.org/massif_visualizer/

Package: massif-visualizer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: valgrind,
Description: Tool for visualizing memory usage recorded by Valgrind Massif
 Massif Visualizer is a graphical interface to visualize memory usage recorded
 by Valgrind Massif tool.
 .
 Run your application in Valgrind with --tool=massif and then open the
 generated massif.out.%pid in the visualizer. Gzip or Bzip2 compressed Massif
 files can also be opened transparently.

## massif-visualizer 25.08.3+p24.04+vstable+git20251204.0907

=== debian/changelog ===
massif-visualizer (25.08.3+p24.04+vstable+git20251204.0907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 09:07:19 +0000

massif-visualizer (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:40 +1000

## massif-visualizer 25.08.3+p24.04+vunstable+git20251208.0307

=== debian/changelog ===
massif-visualizer (25.08.3+p24.04+vunstable+git20251208.0307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 03:07:59 +0000

## massif-visualizer 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MASSIF_VISUALIZER_BASE_VERSION once new features are added

=== debian/changelog ===
massif-visualizer (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:57:41 +0000

## massif-visualizer 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MASSIF_VISUALIZER_BASE_VERSION once new features are added

=== debian/changelog ===
massif-visualizer (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:17:01 +0000

## massif-visualizer 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MASSIF_VISUALIZER_BASE_VERSION once new features are added

=== debian/changelog ===
massif-visualizer (25.12.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:00:09 +0000

massif-visualizer (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:30:31 +1000
